gnome-mag: MagnifierZoomRegionSaveProps Struct Reference

# MagnifierZoomRegionSaveProps Struct Reference

## Data Fields
GNOME_Magnifier_RectBounds | rectbounds
GNOME_Magnifier_RectBounds | viewport
gboolean | is_managed
gint | scroll_policy
gfloat | contrast
gfloat | zx
gfloat | zy
gint32 | xalign
gint32 | yalign
guint32 | border_color
gint32 | border_size
gchar * | smoothing_type
gboolean | inverse

## Detailed Description

Definition at line 84 of file magnifier.c.

## Field Documentation

GNOME_Magnifier_RectBounds MagnifierZoomRegionSaveProps::rectbounds

Definition at line 86 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

GNOME_Magnifier_RectBounds MagnifierZoomRegionSaveProps::viewport

Definition at line 87 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gboolean MagnifierZoomRegionSaveProps::is_managed

Definition at line 88 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gint MagnifierZoomRegionSaveProps::scroll_policy

Definition at line 89 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gfloat MagnifierZoomRegionSaveProps::contrast

Definition at line 90 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gfloat MagnifierZoomRegionSaveProps::zx

Definition at line 91 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gfloat MagnifierZoomRegionSaveProps::zy

Definition at line 92 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gint32 MagnifierZoomRegionSaveProps::xalign

Definition at line 93 of file magnifier.c.

Referenced by magnifier_zoom_regions_save().

gint32 MagnifierZoomRegionSaveProps::yalign

Definition at line 94 of file magnifier.c.

Referenced by magnifier_zoom_regions_save().

guint32 MagnifierZoomRegionSaveProps::border_color

Definition at line 95 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gint32 MagnifierZoomRegionSaveProps::border_size

Definition at line 96 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gchar* MagnifierZoomRegionSaveProps::smoothing_type

Definition at line 97 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

gboolean MagnifierZoomRegionSaveProps::inverse

Definition at line 98 of file magnifier.c.

Referenced by magnifier_zoom_regions_restore(), and magnifier_zoom_regions_save().

The documentation for this struct was generated from the following file:

- magnifier.c